Bug 411305 - Languages selected in systemsettings should update accountsservice's org.freedesktop.Accounts.User.Language
Summary: Languages selected in systemsettings should update accountsservice's org.free...
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_regionandlang (show other bugs)
Version: 5.15.5
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Eike Hein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-26 06:15 UTC by Dennis Schridde
Modified: 2022-08-01 23:16 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2019-08-26 06:15:24 UTC
SUMMARY

In System Settings / Regional Settings / Language I selected British English and German / Deutsch for my user.  When I query the accountsservice for the user's languages, however, the list is empty:

```
qdbus --system org.freedesktop.Accounts /org/freedesktop/Accounts/User1000 org.freedesktop.Accounts.User.Language

```

SOFTWARE/OS VERSIONS
Windows: N/A
macOS: N/A
Linux/KDE Plasma: Linux / Fedora 30,
KDE Plasma Version: 5.15.5
KDE Frameworks Version: 5.59.0
Qt Version: 5.12.4
Comment 1 Dennis Schridde 2019-08-26 16:22:15 UTC
Please note that contrary to bug #327757, this issue here is not about unexpected translations showing up in programs, but the system DBus service at org.freedesktop.Accounts (accountsservice) not knowing what language this user prefers.

This then breaks programs like flatpak and it's locale auto-detection: It falls back to `en` for all users.   (I found out about this via https://github.com/flatpak/flatpak/issues/1504)

Ref: https://github.com/flatpak/flatpak/blob/1.4.2/common/flatpak-dir.c#L13985
Comment 2 guimarcalsilva 2022-02-17 18:06:16 UTC
I can confirm running the command in the original post shows the languages don't get updated, but Flatpaks do get translated in my case. I don't know to what extent this could be a problem.
Comment 3 Bug Janitor Service 2022-07-23 12:54:23 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1950
Comment 4 Nate Graham 2022-08-01 16:27:14 UTC
Git commit b69cbfce91b1528e72cb52d34c776b543889c3e1 by Nate Graham, on behalf of Han Young.
Committed on 01/08/2022 at 16:08.
Pushed by ngraham into branch 'master'.

set AccountService language

M  +9    -0    kcms/region_language/kcmregionandlang.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/b69cbfce91b1528e72cb52d34c776b543889c3e1